package models

import (
	// "gorm.io/gorm"

	"go-admin/common/models"
)

type OrgMatchTeamPlayer struct {
	models.Model
	MatchId        string `json:"matchId" gorm:"type:bigint(20);comment:MatchId"`
	Rounds         string `json:"rounds" gorm:"type:bigint(20);comment:轮次"`
	ClubId         string `json:"clubId" gorm:"type:bigint(20);comment:ClubId"`
	TeamId         string `json:"teamId" gorm:"type:bigint(20);comment:TeamId"`
	OtherTeamId    string `json:"otherTeamId" gorm:"type:bigint(20);comment:OtherTeamId"`
	PlayerId       string `json:"playerId" gorm:"type:bigint(20);comment:PlayerId"`
	PlayerName     string `json:"playerName" gorm:"type:varchar(60);comment:球员名称"`
	PlayerNumber   string `json:"playerNumber" gorm:"type:varchar(60);comment:球员号码"`
	Position       string `json:"position" gorm:"type:varchar(60);comment:场上位置"`
	Scoring        string `json:"scoring" gorm:"type:bigint(20);comment:得分"`
	Rebound        string `json:"rebound" gorm:"type:bigint(20);comment:篮板"`
	Assist         string `json:"assist" gorm:"type:bigint(20);comment:助攻"`
	Steal          string `json:"steal" gorm:"type:bigint(20);comment:抢断"`
	FreeThrow      string `json:"freeThrow" gorm:"type:bigint(20);comment:罚球"`
	BlockShot      string `json:"blockShot" gorm:"type:bigint(20);comment:盖帽"`
	Foul           string `json:"foul" gorm:"type:bigint(20);comment:犯规"`
	TwoPointShot   string `json:"twoPointShot" gorm:"type:bigint(20);comment:2分进球数量"`
	ThreePointShot string `json:"threePointShot" gorm:"type:bigint(20);comment:3分进球数量"`
	models.ModelTime
	models.ControlBy
}

func (OrgMatchTeamPlayer) TableName() string {
	return "org_match_team_player"
}

func (e *OrgMatchTeamPlayer) Generate() models.ActiveRecord {
	o := *e
	return &o
}

func (e *OrgMatchTeamPlayer) GetId() interface{} {
	return e.Id
}
